libcpputest-dev_3.8-5_amd64.deb


Advertisement

Description

libcpputest-dev - C/C++ based unit test framework — headers and static libraries

Distribution: Debian Sid
Repository: Debian Main amd64
Package name: libcpputest-dev
Package version: 3.8
Package release: 5
Package architecture: amd64
Package type: deb
Installed size: 1.26 KB
Download size: 153.87 KB
Official Mirror: ftp.br.debian.org
Description: unavailable.

Alternatives

    Download

    Source package: cpputest

    Install Howto

    1. Update the package index:
      # sudo apt-get update
    2. Install libcpputest-dev deb package:
      # sudo apt-get install libcpputest-dev

    Changelog

    2016-11-02 - Raphaël Hertzog <hertzog@debian.org> cpputest (3.8-5) unstable; urgency=medium * No longer build the static library with -fPIC. -fPIE is enabled by default at the gcc level and it's enough. Closes: #842105

    2016-09-14 - Raphaël Hertzog <hertzog@debian.org> cpputest (3.8-4) unstable; urgency=medium * Build static libraries with -fPIC so that executables linked against CppUTest can be built with -fPIE. Closes: #837363

    2016-06-17 - Raphaël Hertzog <hertzog@debian.org> cpputest (3.8-3) unstable; urgency=medium * Add new patch to fix builds on armel, m68k, s390x, ppc64 and sparc64.

    2016-06-15 - Raphaël Hertzog <hertzog@debian.org> cpputest (3.8-2) unstable; urgency=medium * Properly install files generated by make install. Closes: #827279 * Add a patch to install include/CppUTestExt/CodeMemoryReportFormatter.h * Add DEP-8 test suite to ensure that the package works fine.

    2016-06-13 - Raphaël Hertzog <hertzog@debian.org> cpputest (3.8-1) unstable; urgency=medium * New upstream release. * No longer repack upstream tarball as problematic files have been dropped upstream. * Update watch file to track new location in main github repository.

    2016-05-09 - Raphaël Hertzog <hertzog@debian.org> cpputest (3.7.2+dfsg-1) unstable; urgency=medium * Repackage upstream tarball to drop platforms* directories containing some non-free files. Closes: #823711 * Update Standards-Version to 3.9.8. * Update Vcs-Git and Vcs-Browser to use https URLs.

    2015-05-11 - Raphaël Hertzog <hertzog@debian.org> cpputest (3.7.2-1) unstable; urgency=medium * New upstream release that drops the test that fails on arm64, powerpc, ppc64el. Closes: #784674 * Use "make tdd" to run the test suite as it is more verbose.

    2015-05-07 - Raphaël Hertzog <hertzog@debian.org> cpputest (3.7.1-1) unstable; urgency=medium * New upstream release. * Drop debian/patches/werror-in-maint-mode-only.patch, merged upstream. * Improve watch file to skip X.Ydev tarballs. * Update Vcs-Browser to point to new cgit urls. * Update Standards-Version to 3.9.6, no change.

    2013-06-22 - Raphaël Hertzog <hertzog@debian.org> cpputest (3.4-3) unstable; urgency=low * Use -Werror in maintainer mode only. Closes: #713636 * Use dh-autoreconf to regenerate the configure script. * Use --disable-silent-rules to have complete command lines in the log.

    2013-05-13 - Raphaël Hertzog <hertzog@debian.org> cpputest (3.4-2) unstable; urgency=low * Fix homepage and watch file. * Update standards-version to 3.9.4. * Drop no longer needed dpkg-dev build dependency.

    Advertisement
    Advertisement